<!DOCTYPE html>
<html dir="ltr" lang="en">
  <head>
    <meta charset="utf-8" />
    <meta http-equiv="x-ua-compatible" content="ie=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100&display=swap" rel="stylesheet" />
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD"
      crossorigin="anonymous"
    />
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-JEW9xMcG8R+pH31jmWH6WWP0WintQrMb4s7ZOdauHnUtxwoG2vI5DkLtS3qm9Ekf"
      crossorigin="anonymous"
    ></script>
    <title>Dashboard SDK Example</title>
  </head>
  <body>
    <header class="d-flex flex-wrap justify-content-center py-3 mb-4 border-bottom">
      <a href="/" class="d-flex align-items-center mb-3 mb-md-0 me-md-auto text-dark text-decoration-none">
        <svg class="bi me-2" width="40" height="32"><use xlink:href="#bootstrap" /></svg>
        <span class="fs-4">Dashboard SDK Example</span>
      </a>
    </header>

    <div id="example-section">
      <button id="toggle-sidebar-btn" class="btn btn-primary mx-2">Sidebar</button>
      <button id="save-btn" class="btn btn-primary">save & load (2s delay)</button>
      <div class="wrapper">
        <div class="sidebar-hidden" id="sidebar">
          <div class="dropzone-remove">
            <div>Drop here to remove</div>
          </div>
          <div class="available-widgets" id="available-widgets"></div>
        </div>
        <div class="grid">
          <div class="grid-stack"></div>
        </div>
      </div>
    </div>

    <div class="p-3">
      <h3>Settings</h3>
      <div class="mb-3">
        <label for="endpointInput" class="form-label">Polaris Rights Engine Endpoint</label>
        <input type="text" class="form-control" id="endpointInput" aria-describedby="endpointHelp" />
        <div id="endpointHelp" class="form-text">e.g. http://127.0.0.1:8003/api/v1/provider/result</div>
      </div>
      <div class="mb-3">
        <label for="tokenInput" class="form-label">JWT Token</label>
        <input type="text" class="form-control" id="tokenInput" aria-describedby="tokenHelp" />
        <div id="tokenHelp" class="form-text">
          Create visualization token for testing:
          <p>
            curl -X POST http://[RIGHTS_ENGINE]/api/v1/provider/visualization-tokens/create --data '{"engines":
            ["count_h5p_statements", "collect_h5p_count_statements", "collect_counts_all_providers",
            "count_moodle_statements", "collect_counts_all_providers"], "context_id": "user1@polaris.com",
            "engines_with_context": ["h5p_count_user_statements", "h5p_statements_distribution"]}' -H "Content-Type:
            application/json" -H "Authorization: Basic [APPLICATION_TOKEN]"
          </p>
        </div>
      </div>
      <button type="submit" id="saveSettingsBtn" class="btn btn-primary">Save</button>
    </div>

    <!-- Widget Description Modal -->
    <div class="modal fade" id="myModal" role="dialog">
      <div class="modal-dialog">
        <!-- Modal content-->
        <div class="modal-content">
          <div class="modal-body" id="modal-content-body"></div>
        </div>
      </div>
    </div>

    <!-- Error Modal -->
    <div class="modal fade" id="myErrorModal" role="dialog">
      <div class="modal-dialog">
        <!-- Modal content-->
        <div class="modal-content">
          <div class="modal-body" id="error-modal-content-body"></div>
        </div>
      </div>
    </div>

    <script defer src="./bundle.js"></script>
  </body>
</html>
